pub use dto::AdminApp;
pub use dto::AdminModel;

mod auth {

    struct AdminUser {}

    struct AdminRole {}

    struct AdminGroup {}

    struct AdminActionLog {}
}

mod dto {
    use serde::{Deserialize, Serialize};

    #[derive(Deserialize, Serialize)]
    pub struct AdminModel {
        pub name: String,
        pub object_name: String,
        pub admin_url: String,
        pub view_only: bool,

        pub add_url: Option<String>,
    }

    #[derive(Deserialize, Serialize)]
    pub struct AdminApp {
        pub name: String,
        pub app_label: String,
        pub app_url: String,
        pub models: Vec<AdminModel>,
    }
}
